Can I run Unity 5.02 and 5.11 in paralell on the same machine?

When I installed 5.1.1f1, it appears that the installer annihilated my previous install of 5.0.2.

This is problematic, because I have some fairly complex interactives that work perfectly in 5.02, and are having serious problems porting to 5.1. Yet we want to develop our new projects in 5.1, obviously.

Is there a way to have both versions available on the same machine, so we can switch between them depending on the project?

UPDATE : We’re running on both OSX and Windows 7 systems.

You can install them to different locations. I’m not sure about two different Unity 5 versions but Unity 4 and 5 works together very well for me.